Page MenuHomePhabricator

Deprecate Language::convertTitle(), findVariantLink(), updateConversionTable(), and friends
Open, Needs TriagePublic8 Estimated Story Points

Description

The Language class should not depend on the Title class. The only non-deprecated code that currently needs the Title class is code that delegates to LanguageConverter. Such methods in Title should be deprecated, callers should be changed to use LanguageConverter directly (or a more narrow interface derived from that class).

Note that Language will (for now) still need a LanguageConverter instance, but it should have no need to call any methods in LanguageConverter that need a Title object. Perhaps a new interface could be extracted that covers just the things that Language needs.

  • soft deprecation in 1.35
  • hard deprecation (also in 1.35 if we can remove all callers in time)

See also T226834: In LanguageConverter, replace usages of Title with usages of LinkTarget

Related Objects

StatusSubtypeAssignedTask
OpenPeter.ovchyn
ResolvedPeter.ovchyn
ResolvedPeter.ovchyn
OpenNone
ResolvedArt-Baltai
ResolvedPeter.ovchyn
ResolvedPeter.ovchyn
ResolvedPeter.ovchyn
OpenPeter.ovchyn
OpenPeter.ovchyn
InvalidPeter.ovchyn
InvalidPeter.ovchyn
OpenNone
InvalidPeter.ovchyn
OpenPeter.ovchyn
InvalidPeter.ovchyn
OpenPeter.ovchyn
OpenArt.tsymbar
InvalidPeter.ovchyn
OpenPeter.ovchyn
ResolvedPeter.ovchyn
ResolvedPeter.ovchyn
ResolvedPeter.ovchyn

Event Timeline

daniel created this task.Jun 28 2019, 2:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 28 2019, 2:19 PM
daniel updated the task description. (Show Details)Jun 28 2019, 2:28 PM
daniel added a comment.Feb 4 2020, 2:35 PM

Soft deprecation done in https://gerrit.wikimedia.org/r/c/mediawiki/core/+/564789. Keeping the task open for hard deprecation.

daniel updated the task description. (Show Details)Feb 4 2020, 2:36 PM
Helga_sf set the point value for this task to 8.Apr 30 2020, 2:41 PM

Change 594603 had a related patch set uploaded (by Art-Baltai; owner: Art-Baltai):
[mediawiki/core@master] Hard deprecation of Language::convertTitle(), ::findVariantLink(), ::updateConversionTable()

https://gerrit.wikimedia.org/r/594603

Change 594604 had a related patch set uploaded (by Art-Baltai; owner: Art-Baltai):
[mediawiki/extensions/FileImporter@master] Use LanguageConverter::findVariantLink() instead of Language::findVariantLink()

https://gerrit.wikimedia.org/r/594604

Change 594605 had a related patch set uploaded (by Art-Baltai; owner: Art-Baltai):
[mediawiki/extensions/MobileFrontend@master] Use LanguageConverter::findVariantLink() instead of Language::findVariantLink()

https://gerrit.wikimedia.org/r/594605

Change 594606 had a related patch set uploaded (by Art-Baltai; owner: Art-Baltai):
[mediawiki/extensions/ParserFunctions@master] Use LanguageConverter::findVariantLink() instead of Language::findVariantLink()

https://gerrit.wikimedia.org/r/594606

Change 594604 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Use LanguageConverter::findVariantLink() instead of Language::findVariantLink()

https://gerrit.wikimedia.org/r/594604

cscott added a subscriber: cscott.May 6 2020, 8:54 PM

Change 594605 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Use LanguageConverter::findVariantLink() instead of Language::findVariantLink()

https://gerrit.wikimedia.org/r/594605

Change 594606 merged by jenkins-bot:
[mediawiki/extensions/ParserFunctions@master] Use LanguageConverter::findVariantLink() instead of Language::findVariantLink()

https://gerrit.wikimedia.org/r/594606

Helga_sf added a subscriber: Art-Baltai.
Helga_sf removed a subscriber: Art-Baltai.